<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.ast.Enum Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1ast_1_1Enum.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cpp.ast.Enum Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.ast.Enum:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1Enum__inherit__graph.svg" width="216" height="336"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.ast.Enum:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1Enum__coll__graph.svg" width="216" height="336"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1__NestedType"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1__NestedType')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1__NestedType.html">cpp.ast._NestedType</a></td></tr>
<tr class="memitem:a63acff60f38885be6cc11231fffc3f4e inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memItemLeft" align="right" valign="top"><a id="a63acff60f38885be6cc11231fffc3f4e"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, fields, namespace)</td></tr>
<tr class="separator:a63acff60f38885be6cc11231fffc3f4e inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f160999863f39c9032f60b014e213d5 inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1__NestedType.html#a9f160999863f39c9032f60b014e213d5">IsDefinition</a> (self)</td></tr>
<tr class="separator:a9f160999863f39c9032f60b014e213d5 inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a689f8b0dc20e6070938825eee483dd2f inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1__NestedType.html#a689f8b0dc20e6070938825eee483dd2f">IsExportable</a> (self)</td></tr>
<tr class="separator:a689f8b0dc20e6070938825eee483dd2f inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18901ec6acba88c526d703444bf4d52c inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memItemLeft" align="right" valign="top"><a id="a18901ec6acba88c526d703444bf4d52c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__str__</b> (self)</td></tr>
<tr class="separator:a18901ec6acba88c526d703444bf4d52c inherit pub_methods_classcpp_1_1ast_1_1__NestedType"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1__GenericDeclaration')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1__GenericDeclaration.html">cpp.ast._GenericDeclaration</a></td></tr>
<tr class="memitem:afde72751e20708a7802eb7707d23bc3c inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="afde72751e20708a7802eb7707d23bc3c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, namespace)</td></tr>
<tr class="separator:afde72751e20708a7802eb7707d23bc3c inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1437d31271ea8cda62da22e2ce427a85 inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="a1437d31271ea8cda62da22e2ce427a85"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>FullName</b> (self)</td></tr>
<tr class="separator:a1437d31271ea8cda62da22e2ce427a85 inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1Node"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1Node')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1Node.html">cpp.ast.Node</a></td></tr>
<tr class="memitem:a2cbd6969346645259afc3be51faae904 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a2cbd6969346645259afc3be51faae904"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end)</td></tr>
<tr class="separator:a2cbd6969346645259afc3be51faae904 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3eca703a79fb65bc25dfbcb7547c79e inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#ab3eca703a79fb65bc25dfbcb7547c79e">IsDeclaration</a> (self)</td></tr>
<tr class="separator:ab3eca703a79fb65bc25dfbcb7547c79e inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ae211f954a8c578ef16226df5ac8c8 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#a31ae211f954a8c578ef16226df5ac8c8">Requires</a> (self, node)</td></tr>
<tr class="separator:a31ae211f954a8c578ef16226df5ac8c8 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5dfeabcbcd7c1f5feb8522edffb8b4a inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="ab5dfeabcbcd7c1f5feb8522edffb8b4a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>XXX__str__</b> (self)</td></tr>
<tr class="separator:ab5dfeabcbcd7c1f5feb8522edffb8b4a inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89915656a60c7b7c752e5baa607c532 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="ab89915656a60c7b7c752e5baa607c532"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__repr__</b> (self)</td></tr>
<tr class="separator:ab89915656a60c7b7c752e5baa607c532 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1__NestedType"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1__NestedType')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1__NestedType.html">cpp.ast._NestedType</a></td></tr>
<tr class="memitem:aed69c37a409b4d26e6cfde2de3185d86 inherit pub_attribs_classcpp_1_1ast_1_1__NestedType"><td class="memItemLeft" align="right" valign="top"><a id="aed69c37a409b4d26e6cfde2de3185d86"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>fields</b></td></tr>
<tr class="separator:aed69c37a409b4d26e6cfde2de3185d86 inherit pub_attribs_classcpp_1_1ast_1_1__NestedType"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1__GenericDeclaration.html">cpp.ast._GenericDeclaration</a></td></tr>
<tr class="memitem:af774f4729dfd78d0538a6782fe8514c1 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="af774f4729dfd78d0538a6782fe8514c1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>name</b></td></tr>
<tr class="separator:af774f4729dfd78d0538a6782fe8514c1 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aee3f11b37449d54b42a78e0a689f46 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="a8aee3f11b37449d54b42a78e0a689f46"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>namespace</b></td></tr>
<tr class="separator:a8aee3f11b37449d54b42a78e0a689f46 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1Node"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1Node')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1Node.html">cpp.ast.Node</a></td></tr>
<tr class="memitem:a7b2aa97e6a049bb1a93aea48c48f1f44 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a7b2aa97e6a049bb1a93aea48c48f1f44"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>start</b></td></tr>
<tr class="separator:a7b2aa97e6a049bb1a93aea48c48f1f44 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5e5246ccf619df28eca02e29d69647 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a3c5e5246ccf619df28eca02e29d69647"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>end</b></td></tr>
<tr class="separator:a3c5e5246ccf619df28eca02e29d69647 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>ast.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>ast</b></li><li class="navelem"><a class="el" href="classcpp_1_1ast_1_1Enum.html">Enum</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
